## org.eclipse.uml2.uml
Interface ExecutableNode

All Superinterfaces:
  ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

All Known Subinterfaces:
  AcceptCallAction, AcceptEventAction, Action, AddStructuralFeatureValueAction, AddVariableValueAction, BroadcastSignalAction, CallAction, CallBehaviorAction, CallOperationAction, ClearAssociationAction, ClearStructuralFeatureAction, ClearVariableAction, ConditionalNode, CreateLinkAction, CreateLinkObjectAction, CreateObjectAction, DestroyLinkAction, DestroyObjectAction, ExpansionRegion, InvocationAction, LinkAction, LoopNode, OpaqueAction, RaiseExceptionAction, ReadExtentAction, ReadIsClassifiedObjectAction, ReadLinkAction, ReadLinkObjectEndAction, ReadLinkObjectEndQualifierAction, ReadSelfAction, ReadStructuralFeatureAction, ReadVariableAction, ReclassifyObjectAction, ReduceAction, RemoveStructuralFeatureValueAction, RemoveVariableValueAction, ReplyAction, SendObjectAction, SendSignalAction, SequenceNode, StartClassifierBehaviorAction, StartObjectBehaviorAction, StructuralFeatureAction, StructuredActivityNode, TestIdentityAction, UnmarshallAction, ValueSpecificationAction, VariableAction, WriteLinkAction, WriteStructuralFeatureAction, WriteVariableAction

    public interface ExecutableNode

extends ActivityNode

A representation of the model object 'Executable Node'. An executable node is an abstract class for activity nodes that may be executed. It is used as an attachment point for exception handlers.

The following features are supported:

- `Handler`

See Also:
  `UMLPackage.getExecutableNode()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`ExceptionHandler` `createHandler()` Creates a new `ExceptionHandler` and appends it to the 'Handler' containment reference list
`org.eclipse.emf.common.util.EList<ExceptionHandler>` `getHandlers()` Returns the value of the 'Handler' containment reference list.

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHandlers

    org.eclipse.emf.common.util.EList<ExceptionHandler> getHandlers()

  Returns the value of the 'Handler' containment reference list. The list contents are of type `ExceptionHandler`. It is bidirectional and its opposite is '`Protected Node`'.

  This feature subsets the following features:

  - '`Owned Element`'
  A set of exception handlers that are examined if an uncaught exception propagates to the outer level of the executable node.

  Returns:
    the value of the 'Handler' containment reference list.
  See Also:
    `UMLPackage.getExecutableNode_Handler()`, `ExceptionHandler.getProtectedNode()`

### createHandler

    ExceptionHandler createHandler()

  Creates a new `ExceptionHandler` and appends it to the 'Handler' containment reference list.

  Returns:
    The new `ExceptionHandler`.
  See Also:
    `getHandlers()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.